name: linuxserver-openvscode-server
services:
  app:
    image: linuxserver/openvscode-server:1.106.3
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      CONNECTION_TOKEN: ''
      CONNECTION_SECRET: ''
      SUDO_PASSWORD: ''
      SUDO_PASSWORD_HASH: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: CONNECTION_TOKEN
          description:
            en_us: Optional security token for accessing the Web UI (ie. supersecrettoken). [OPTIONAL]
        - container: CONNECTION_SECRET
          description:
            en_us: Optional path to a file inside the container that contains the security token for accessing the Web UI (ie. /path/to/file). Overrides CONNECTION_TOKEN. [OPTIONAL]
        - container: SUDO_PASSWORD
          description:
            en_us: If this optional variable is set, user will have sudo access in the openvscode-server terminal with the specified password. [OPTIONAL]
        - container: SUDO_PASSWORD_HASH
          description:
            en_us: Optionally set sudo password via hash (takes priority over SUDO_PASSWORD var). Format is $type$salt$hashed. [OPTIONAL]
    ports:
      - target: 3000
        published: 3000
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/openvscode-server/config
        target: /config
      - type: bind
        source: /
        target: /casaos
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Openvscode-server provides a version of VS Code that runs a server on a remote machine and allows access through a modern web browser.
  tagline:
    en_us: Provides a version of VS Code that runs a server on a remote machine and allows access through a modern web browser.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/openvscode-server-logo.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/openvscode-server-logo.png
  title:
    en_us: Openvscode server
  category: LinuxServer.io
  port_map: '3000'
